aboutsummaryrefslogtreecommitdiffstats
path: root/aai-resources/src/main/scripts/run_FixXSD.sh
diff options
context:
space:
mode:
authorVenkata Harish K Kajur <vk250x@att.com>2017-05-24 14:06:58 -0400
committerVenkata Harish K Kajur <vk250x@att.com>2017-05-24 15:24:35 -0400
commit16ea5afacc6140573ff431bf5622a6c8cc07925b (patch)
tree08e217d92acaeb357c3000774f6d685910de3f3a /aai-resources/src/main/scripts/run_FixXSD.sh
parentae69d6fd9a3b9f56dec5c6fc0f5fc1aad67a1dfd (diff)
Pull the latest code resources internal
Remove the test that should not be in resources Change-Id: Ic20fe3942bae3ec217933284d2b176bb8079788e Signed-off-by: Venkata Harish K Kajur <vk250x@att.com>
Diffstat (limited to 'aai-resources/src/main/scripts/run_FixXSD.sh')
-rw-r--r--aai-resources/src/main/scripts/run_FixXSD.sh68
1 files changed, 68 insertions, 0 deletions
diff --git a/aai-resources/src/main/scripts/run_FixXSD.sh b/aai-resources/src/main/scripts/run_FixXSD.sh
new file mode 100644
index 0000000..9293ded
--- /dev/null
+++ b/aai-resources/src/main/scripts/run_FixXSD.sh
@@ -0,0 +1,68 @@
+#!/bin/ksh
+
+###
+# ============LICENSE_START=======================================================
+# org.openecomp.aai
+# ================================================================================
+# Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END=========================================================
+###
+
+#
+# The script invokes GetResource java class to get all nodes
+#
+
+echo
+echo `date` " Starting $0"
+
+REV=$1
+AAIHOME=$2
+echo "AAIHOME: $AAIHOME"
+
+if test "$REV" = ""
+then
+ REV=v6
+fi
+
+. /etc/profile.d/aai.sh
+PROJECT_HOME=/opt/app/aai-resources
+
+if test "$AAIHOME" = ""
+then
+ AAIHOME=$PROJECT_HOME
+fi
+
+
+for JAR in `ls $AAIHOME/target/*.jar`
+do
+ CLASSPATH=$CLASSPATH:$JAR
+done
+
+for JAR in `ls $PROJECT_HOME/lib/*.jar`
+do
+ CLASSPATH=$CLASSPATH:$JAR
+done
+
+export REV=$REV
+echo "FixXSD $REV $AAIHOME"
+$JAVA_HOME/bin/java -classpath $CLASSPATH -DAJSC_HOME=$AAIHOME org.openecomp.aai.util.FixXSDNew $REV
+ret_code=$?
+if [ $ret_code != 0 ]; then
+ echo `date` " Done $0"
+ exit $ret_code
+fi
+
+echo `date` " Done $0"
+exit 0